Skip to main content
POST
Send test notifications through the monitor's alert channels

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Headers

Idempotency-Key
string

Replays the stored response for 24h when the same key is sent again (1–255 visible ASCII)

X-DevHelm-Client
string

Calling surface and version, e.g. cli/1.4.0 or sdk-js/2.0.0

Path Parameters

id
string<uuid>
required

Body

application/json

Request to send test notifications through a monitor's alert channels

includeResolved
boolean
required

Whether to include a resolved notification in the test (default: false)

channelIds
string<uuid>[] | null

Channel IDs to test; null or empty tests all channels attached to the monitor

Channel IDs to test; null or empty tests all channels attached to the monitor

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null